Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## kieker.monitoring.sampler.sigar
Enum SigarSamplerFactory

    java.lang.Object
      java.lang.Enum<SigarSamplerFactory>
          kieker.monitoring.sampler.sigar.SigarSamplerFactory

All Implemented Interfaces:
  Serializable, Comparable<SigarSamplerFactory>, ISigarSamplerFactory

    public enum SigarSamplerFactory

extends Enum<SigarSamplerFactory>
implements ISigarSamplerFactory

Provides factory methods for `AbstractSigarSampler`s.

Since:
  1.3
Author:
  Andre van Hoorn, Jan Waller

Enum Constant Summary
`INSTANCE` The singleton instance.

Method Summary
`CPUsCombinedPercSampler` | `createSensorCPUsCombinedPerc()` Creates an instance of `CPUsCombinedPercSampler`.
`CPUsDetailedPercSampler` | `createSensorCPUsDetailedPerc()` Creates an instance of `CPUsDetailedPercSampler`.
`MemSwapUsageSampler` | `createSensorMemSwapUsage()` Creates an instance of `MemSwapUsageSampler`.
`org.hyperic.sigar.SigarProxy` | `getSigar()` `SigarProxy` instance used by this `SigarSamplerFactory`.
`static SigarSamplerFactory` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SigarSamplerFactory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INSTANCE

    public static final SigarSamplerFactory INSTANCE

  The singleton instance.

Method Detail

### values

    public static SigarSamplerFactory[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SigarSamplerFactory c : SigarSamplerFactory.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SigarSamplerFactory valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getSigar

    public final org.hyperic.sigar.SigarProxy getSigar()

  `SigarProxy` instance used by this `SigarSamplerFactory`.

  Returns:
    the sigar

### createSensorCPUsCombinedPerc

    public CPUsCombinedPercSampler createSensorCPUsCombinedPerc()

  Creates an instance of `CPUsCombinedPercSampler`.

  Specified by:
    `createSensorCPUsCombinedPerc` in interface `ISigarSamplerFactory`
  Returns:
    the created instance.

### createSensorCPUsDetailedPerc

    public CPUsDetailedPercSampler createSensorCPUsDetailedPerc()

  Creates an instance of `CPUsDetailedPercSampler`.

  Specified by:
    `createSensorCPUsDetailedPerc` in interface `ISigarSamplerFactory`
  Returns:
    the created instance.

### createSensorMemSwapUsage

    public MemSwapUsageSampler createSensorMemSwapUsage()

  Creates an instance of `MemSwapUsageSampler`.

  Specified by:
    `createSensorMemSwapUsage` in interface `ISigarSamplerFactory`
  Returns:
    the created instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net